summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancois Pons <fpons@mandriva.com>2000-10-03 12:54:40 +0000
committerFrancois Pons <fpons@mandriva.com>2000-10-03 12:54:40 +0000
commit385827763545e7cb5ba4ea2552e4a05831eb8c4c (patch)
treef4129f1fad3c3bbe1d3f1829e3bd0242dd4ad2ce
parentf7febf094d24b0b36ab785e1a48c273680cc6dea (diff)
downloaddrakx-backup-do-not-use-385827763545e7cb5ba4ea2552e4a05831eb8c4c.tar
drakx-backup-do-not-use-385827763545e7cb5ba4ea2552e4a05831eb8c4c.tar.gz
drakx-backup-do-not-use-385827763545e7cb5ba4ea2552e4a05831eb8c4c.tar.bz2
drakx-backup-do-not-use-385827763545e7cb5ba4ea2552e4a05831eb8c4c.tar.xz
drakx-backup-do-not-use-385827763545e7cb5ba4ea2552e4a05831eb8c4c.zip
*** empty log message ***
-rw-r--r--Makefile1
-rw-r--r--live_update73
-rw-r--r--perl-install/ChangeLog6
-rw-r--r--perl-install/Xconfigurator.pm2
-rwxr-xr-xperl-install/live_install5
-rwxr-xr-xtools/closurepkgs7
6 files changed, 91 insertions, 3 deletions
diff --git a/Makefile b/Makefile
index fa6c29683..fdb5f2971 100644
--- a/Makefile
+++ b/Makefile
@@ -91,6 +91,7 @@ upload: clean install
upload misc make_mdkinst_stage2 ;\
upload misc packdrake ;\
upload misc rpm2header ;\
+ upload '' live_update ;\
for i in $(RELEASE_BOOT_IMG); do upload images $$i; done ;\
echo
diff --git a/live_update b/live_update
new file mode 100644
index 000000000..f17845e2d
--- /dev/null
+++ b/live_update
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+message=/usr/X11R6/bin/gmessage
+[ -x $message ] || message=/usr/X11R6/bin/xmessage
+[ -x $message ] || unset message
+
+if [ "$UID" -ne 0 ]; then
+ if [ -x "$message" ]; then
+ case "$LANG" in
+ fr*) buttons="Arrêter:0"
+ msg="Mise à jour en direct de Linux-Mandrake.
+
+Vous devez être l'utilisateur root pour lancer cette application." ;;
+ *) buttons="Abort:0"
+ msg="Linux-Mandrake live upgrade.
+
+You need to be root to start this program." ;;
+ esac
+ $message -buttons "$buttons" -print "$msg"
+ else
+ echo >&2 "You need to be root to start this program."
+ fi
+ exit 3
+fi
+
+if [ ! -x "/mnt/cdrom/Mandrake/mdkinst/usr/bin/perl-install/live_install" ]; then
+ if [ -x "$message" ]; then
+ case "$LANG" in
+ fr*) buttons="Arrêter:0"
+ msg="Mise à jour en direct de Linux-Mandrake.
+
+Impossible de trouver le Cédérom d'installation de Linux-Mandrake dans le premier lecteur." ;;
+ *) buttons="Abort:0"
+ msg="Linux-Mandrake live upgrade.
+
+Unable to find Linux-Mandrake Installation Cd-Rom in the first drive." ;;
+ esac
+ $message -buttons "$buttons" -print "$msg"
+ else
+ echo >&2 "Unable to find Linux-Mandrake Installation Cd-Rom in the first drive."
+ fi
+ exit 2
+fi
+
+if [ -x "$message" ]; then
+ case "$LANG" in
+ fr*) buttons="Mise à jour:0,Annuler:1"
+ msg="Mise à jour en direct de Linux-Mandrake.
+
+Appuyez sur \"Mise à jour\" pour lancer la mise à jour de votre système,
+cela prendra quelques minutes avant que l'écran de DrakX apparaisse.
+
+Appuyez sur \"Annuler\" pour ne pas mettre à jour votre système de cette manière." ;;
+ *) buttons="Upgrade:0,Cancel:1"
+ msg="Linux-Mandrake live upgrade.
+
+Press \"Upgrade\" to start live upgrade on your system, note this will
+take some time to prepare the system before DrakX screen appears.
+
+Press \"Cancel\" to avoid upgrading your system this way." ;;
+ esac
+ default=`echo $buttons | cut -d: -f1`
+ $message -buttons "$buttons" -default "$default" -print "$msg"
+ [ $? -ne 0 ] && exit 1
+else
+ echo >&2 "Press ENTER to start live upgrade on your system, note this will
+take some time to prepare the system before DrakX screen appears.
+
+Press CTRL-C to avoid upgrading your system this way."
+fi
+
+cd /mnt/cdrom/Mandrake/mdkinst/usr/bin/perl-install && exec ./live_install
+exit 2
diff --git a/perl-install/ChangeLog b/perl-install/ChangeLog
index 6f2ed4511..449263bfe 100644
--- a/perl-install/ChangeLog
+++ b/perl-install/ChangeLog
@@ -1,3 +1,9 @@
+2000-10-03 François Pons <fpons@mandrakesoft.com>
+
+ * Xconfigurator.pm: updated bad card with Rage Mobility card.
+
+ * live_install: added test of root user, abort if not root.
+
2000-10-03 Guillaume Cottenceau <gc@mandrakesoft.com>
* share/po/fr.po: fixed bug #518 and fixed other misc errors
diff --git a/perl-install/Xconfigurator.pm b/perl-install/Xconfigurator.pm
index d123dde46..1e515ac05 100644
--- a/perl-install/Xconfigurator.pm
+++ b/perl-install/Xconfigurator.pm
@@ -415,7 +415,7 @@ sub testFinalConfig {
#- needed for bad cards not restoring cleanly framebuffer
my $bad_card = $o->{card}{identifier} =~ /i740|ViRGE/;
- $bad_card ||= $o->{card}{identifier} eq "ATI|3D Rage P/M Mobility AGP 2x";
+ $bad_card ||= $o->{card}{identifier} =~ /Rage Mobility (?:P\/M|L) / || $o->{card}{identifier} =~ /3D Rage (?:LT|Pro)/;
$bad_card ||= $o->{card}{use_xf4}; #- TODO obsoleted to check, when using fbdev of XFree 4.0!
log::l("the graphic card does not like X in framebuffer") if $bad_card;
diff --git a/perl-install/live_install b/perl-install/live_install
index a98583690..74b4ff9c9 100755
--- a/perl-install/live_install
+++ b/perl-install/live_install
@@ -1,5 +1,10 @@
#!/bin/sh
+if [ "$UID" -ne 0 ]; then
+ echo >&2 "you need to be root to start live install"
+ exit 3
+fi
+
if [ -x ./Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then
dir=`pwd`/Mandrake/mdkinst
elif [ -x ../../../../../Mandrake/mdkinst/usr/bin/perl-install/live_install2 ]; then
diff --git a/tools/closurepkgs b/tools/closurepkgs
index dccd41977..bc3b12131 100755
--- a/tools/closurepkgs
+++ b/tools/closurepkgs
@@ -31,7 +31,7 @@ sub main {
my ($file) = @_;
my $depslist = read_depslist($file);
- my @pkgs = qw(XFree86 dhcpcd pump ppp ypbind rhs-printfilters samba ncpfs kernel-fb);
+ my @pkgs = qw(XFree86 XFree86-server XFree86-glide-module Device3Dfx Glide_V3-DRI Glide_V5 Mesa dhcpcd pump dhcpxd dhcp-client isdn4net isdn4k-utils dev pptp-adsl-fr rp-pppoe ppp ypbind rhs-printfilters lpr cups cups-drivers samba ncpfs);
push @pkgs, "XFree86-$_" foreach qw(3DLabs 3dfx 8514 AGX FBDev I128 Mach8 Mach32 Mach64 Mono P9000 Rage128 S3 S3V SVGA VGA16 W32);
my %closure;
@@ -46,7 +46,10 @@ sub main {
map { delete $closure{chop_version($_->{name})} } map { ($depslist->{ordered}[$_]) } @{$depslist->{packages}{$_}{deps}};
}
- map { print $depslist->{packages}{$_}{name}, "\n" } grep { $closure{$_} } keys %closure;
+ my $total = 0;
+ map { $total += $depslist->{packages}{$_}{size};
+ print $depslist->{packages}{$_}{name}, "\n" } grep { $closure{$_} } keys %closure;
+ print "\n\ntotal=$total\n";
}
main(@ARGV);